from email.mime import application
import hmac
import hashlib
from pydoc import plainpager
import time
import base64
import requests


def sign_request(method, uri, body, timestamp, kod):
	plain_text = "\n".join([method, uri, body, str(timestamp)])

	digest_maker = (hmac.new(b'kod', b'', hashlib.sha256))
	digest_maker.update(b'plain_text')
	return digest_maker.hexdigest()


method = "GET"
uri = "https://sellerapi.kaufland.com/v2/orders?storefront=de&fulfillment_type=%5Bfulfilled_by_merchant%5D&limit=10&offset=0"
body = ""
timestamp = "1652268714"
kod = b'545c123fe1613e99bf40abf8e9452f41a4bbba24f9493ba8d39f411dc85a4684'
token = sign_request(method, uri, body, timestamp, kod)
print(sign_request(method, uri, body, timestamp, kod))
print(timestamp)

response = requests.get(
	"https://sellerapi.kaufland.com/v2/orders?storefront=de&fulfillment_type=%5Bfulfilled_by_merchant%5D&limit=10&offset=0",
	headers={"Accept": "application/json", "Shop-Client-Key": "0e78b6b8aa86a79405502310cc231e04", "Shop-Timestamp": "1652268714", "Shop-Signature": "61918af51735e52509908f4d1335694fea93226930f22446c7d39d86b4d62686", "User-Agent": "Inhouse_development"}
)	
print(response.status_code)
#print(response.json())
	
	
